SDL_RenderFillRects(3)

NAME
SDL_RenderFillRects - Fill some number of rectangles on the current rendering target with the drawing color at subpixel precision.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenderFillRects(SDL_Renderer *renderer, const SDL_FRect *rects, int count);

FUNCTION PARAMETERS

renderer
    The renderer which should fill multiple rectangles.

rects
    A pointer to an array of destination rectangles.

count
    The number of rectangles.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RenderFillRect(3)